#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,144,216,360,720,1080,1512,2304,3096
 * N : 25,144,216,360,720,1080,1512,2304,3096
 * NB : 5,12,20,36,36,72,72,72,216
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 84) (nb_) = 5; \
   else if ((n_) < 180) (nb_) = 12; \
   else if ((n_) < 288) (nb_) = 20; \
   else if ((n_) < 900) (nb_) = 36; \
   else if ((n_) < 2700) (nb_) = 72; \
   else (nb_) = 216; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
