#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,144,216,360,504,576,648,720,1512,2304,2664,3096
 * N : 25,144,216,360,504,576,648,720,1512,2304,2664,3096
 * NB : 4,12,36,28,28,20,20,72,72,112,72,144
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 84) (nb_) = 4; \
   else if ((n_) < 180) (nb_) = 12; \
   else if ((n_) < 288) (nb_) = 36; \
   else if ((n_) < 540) (nb_) = 28; \
   else if ((n_) < 684) (nb_) = 20; \
   else if ((n_) < 1908) (nb_) = 72; \
   else if ((n_) < 2484) (nb_) = 112; \
   else if ((n_) < 2880) (nb_) = 72; \
   else (nb_) = 144; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
